> ## Documentation Index
> Fetch the complete documentation index at: https://demeterrr.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Contact

> Update a contact's information

## Authentication

Requires `contacts:write` scope.

## Path Parameters

<ParamField path="id" type="string" required>
  Contact UUID
</ParamField>

## Request Body

All fields are optional. Only include fields you want to update.

<ParamField body="email" type="string">
  New email address
</ParamField>

<ParamField body="firstName" type="string">
  New first name
</ParamField>

<ParamField body="lastName" type="string">
  New last name
</ParamField>

<ParamField body="phone" type="string">
  New phone number
</ParamField>

<ParamField body="title" type="string">
  New title/salutation
</ParamField>

<ParamField body="preferredLanguage" type="string">
  New language preference (en or fr)
</ParamField>

<ParamField body="customFields" type="object">
  Update custom fields (merges with existing)
</ParamField>

<ParamField body="tags" type="array">
  Replace tags array
</ParamField>

<RequestExample>
  ```bash cURL theme={null}
  curl -X PATCH https://app.demeterrr.com/api/v1/contacts/550e8400-e29b-41d4-a716-446655440000 \
    -H "X-API-Key: dem_your_key_here" \
    -H "Content-Type: application/json" \
    -d '{
      "firstName": "John",
      "lastName": "Doe-Smith",
      "tags": ["vip", "frequent-customer"]
    }'
  ```

  ```javascript JavaScript theme={null}
  const response = await fetch(
    'https://app.demeterrr.com/api/v1/contacts/550e8400-e29b-41d4-a716-446655440000',
    {
      method: 'PATCH',
      headers: {
        'X-API-Key': 'dem_your_key_here',
        'Content-Type': 'application/json'
      },
      body: JSON.stringify({
        lastName: 'Doe-Smith',
        tags: ['vip', 'frequent-customer']
      })
    }
  );
  ```
</RequestExample>

<ResponseExample>
  ```json 200 Success theme={null}
  {
    "data": {
      "id": "550e8400-e29b-41d4-a716-446655440000",
      "email": "john.doe@example.com",
      "firstName": "John",
      "lastName": "Doe-Smith",
      "tags": ["vip", "frequent-customer"],
      "updatedAt": "2026-02-10T16:00:00.000Z"
    }
  }
  ```
</ResponseExample>
